shinyUI(pageWithSidebar(
  headerPanel('Simple Analysis of Non-Markov Models: A Case Study on Heart Transplant Data '),
  sidebarPanel(
    selectInput("modeltype", "Choose a dataset:", 
                choices = c("Markov", "nonMarkov")),
helpText("Show pseudo-values for particular state:",
             "(more than one option possible)"),
checkboxInput("pseudo1", "Show pseudo-values for state Death",0), checkboxInput("pseudo1show", "Show GEE model for state Death",0),
checkboxInput("pseudo2", "Show pseudo-values for state Non-Transplantable",0), checkboxInput("pseudo2show", "Show GEE model for state NT",0),
checkboxInput("pseudo3", "Show pseudo-values for state High-Urgent",0),checkboxInput("pseudo3show", "Show GEE model for state High-Urgent",0),
checkboxInput("pseudo4", "Show pseudo-values for state Urgent",0),checkboxInput("pseudo4show", "Show GEE model for stte Urgent",0) ,
checkboxInput("pseudo5", "Show pseudo-values for state Transplantable",0), checkboxInput("pseudo5show", "Show GEE model for state Transplantable",0),
checkboxInput("pseudo6", "Show pseudo-values for state Removed",0),checkboxInput("pseudo6show", "Show GEE model for state Removed",0),
checkboxInput("pseudo7", "Show pseudo-values for state Transplanted",0), checkboxInput("pseudo7show", "Show GEE model for state Transplanted",0),
checkboxInput("pseudoall", "Show pseudo-values for all states (multivariate)",0),checkboxInput("pseudoAllshow", "Show multivariate GEE model for all states",0) ,
helpText("Show results from multinomial approach:",
             "(more than one option possible)"),
checkboxInput("condmultinomial", "Show multinomial model conditioning on T",0),
checkboxInput("Nocondmultinomial", "Show multinomial model with no conditioning on T",0),
checkboxInput("JackSE", "Show Jackknife SE (choose model first)",0)


      ),
  mainPanel(  
    tabsetPanel(
      tabPanel("Data & Models",
      
       conditionalPanel(    
               condition = "input.modeltype =='Markov'" ,  h4("Part of simulated Markov Data"),
    
    tableOutput('table1')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo1 ==1 & input.modeltype =='Markov'",  h4("Pseudo values for state Death") ,
              
    
    tableOutput('table1.1')
  ),
  
   conditionalPanel(    
               condition = "input.pseudo1show ==1 & input.modeltype =='Markov'",  h4("Univariate GEE model for state Death"),
    
    tableOutput('table1.1.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo2 ==1& input.modeltype =='Markov'", h4("Pseudo values for state Non-Transplantable"),
    
    tableOutput('table1.2')
  ),
  conditionalPanel(    
               condition = "input.pseudo2show ==1 & input.modeltype =='Markov'", h4("Univariate GEE model for state Non-Transplantable"),
    
    tableOutput('table1.2.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo3 ==1& input.modeltype =='Markov'", h4("Pseudo values for state High-Urgent"),
    
    tableOutput('table1.3')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo3show ==1 & input.modeltype =='Markov'", h4("Univariate GEE model for state High-Urgent"),
    
    tableOutput('table1.3.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo4 ==1& input.modeltype =='Markov'", h4("Pseudo values for state Urgent"),
    
    tableOutput('table1.4')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo4show ==1 & input.modeltype =='Markov'", h4("Univariate GEE model for state Urgent"),
    
    tableOutput('table1.4.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo5 ==1& input.modeltype =='Markov'", h4("Pseudo values for state Transplantable"),
    
    tableOutput('table1.5')
  ),
  conditionalPanel(    
               condition = "input.pseudo5show ==1 & input.modeltype =='Markov'", h4("Univariate GEE model for state Transplantable") ,
    
    tableOutput('table1.5.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo6 ==1& input.modeltype =='Markov'",   h4("Pseudo values  for state Removed"),
    
    tableOutput('table1.6')
  ),
  conditionalPanel(    
               condition = "input.pseudo6show ==1 & input.modeltype =='Markov'", h4("Univariate GEE model for state Removed"),
    
    tableOutput('table1.6.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo7==1& input.modeltype =='Markov'",  h4("Pseudo values  for state Transplanted"),
    
    tableOutput('table1.7')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo7show ==1 & input.modeltype =='Markov'",  h4("Univariate GEE model for state Transpnated") ,
    
    tableOutput('table1.7.1')
  ),
  conditionalPanel(    
               condition = "input.pseudoall==1& input.modeltype =='Markov'",  h4("Pseudo values for all states"),
    
    tableOutput('table1.all')
  ),
  conditionalPanel(    
               condition = "input.pseudoAllshow ==1 & input.modeltype =='Markov'",  h4("Univariate GEE model for all states"),
    
    tableOutput('table1.all.1')
  ),
  
  conditionalPanel(    
               condition = "input.modeltype =='nonMarkov'", h4("Part of simulated non-Markov Data"),   
    
    tableOutput('table2')
    ),
  conditionalPanel(    
               condition = "input.pseudo1 ==1 & input.modeltype =='nonMarkov'", h4("Pseudo values for state Death") ,
    
    tableOutput('table2.1')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo1show ==1 & input.modeltype =='nonMarkov'", h4("Univariate GEE model for state Death"),
    
    tableOutput('table2.1.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo2 ==1& input.modeltype =='nonMarkov'",  h4("Pseudo values for state Non-Transplantable"),
    
    
    tableOutput('table2.2')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo2show ==1 & input.modeltype =='nonMarkov'", h4("Univariate GEE model for state Non-Transplantable"),
    
    tableOutput('table2.2.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo3 ==1& input.modeltype =='nonMarkov'", h4("Pseudo values for state High-Urgent"), 
    
    tableOutput('table2.3')
  ),
   conditionalPanel(    
               condition = "input.pseudo3show ==1 & input.modeltype =='nonMarkov'",  h4("Univariate GEE model for state High-Urgent"),
    
    tableOutput('table2.3.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo4 ==1& input.modeltype =='nonMarkov'",   h4("Pseudo values for state Urgent"),
    
    tableOutput('table2.4')
  ),
   conditionalPanel(    
               condition = "input.pseudo4show ==1 & input.modeltype =='nonMarkov'", h4("Univariate GEE model for state Urgent"),
    
    tableOutput('table2.4.1')
  )  ,
  conditionalPanel(    
               condition = "input.pseudo5 ==1& input.modeltype =='nonMarkov'",  h4("Pseudo values for state Transplantable"),
    
    tableOutput('table2.5')
  ),
   conditionalPanel(    
               condition = "input.pseudo5show ==1 & input.modeltype =='nonMarkov'", h4("Univariate GEE model for state Transplantable"),
    
    tableOutput('table2.5.1')
  ),
  
  conditionalPanel(    
               condition = "input.pseudo6 ==1& input.modeltype =='nonMarkov'", h4("Pseudo values for state Removed"),
    
    tableOutput('table2.6')
  ),
   conditionalPanel(    
               condition = "input.pseudo6show ==1 & input.modeltype =='nonMarkov'",   h4("Univariate GEE model for state Removed"),
    
    tableOutput('table2.6.1')
  ),
  conditionalPanel(    
               condition = "input.pseudo7==1& input.modeltype =='nonMarkov'",  h4("Pseudo values for state Transplanted"),
    
    tableOutput('table2.7')
  ),
   conditionalPanel(    
               condition = "input.pseudo7show ==1 & input.modeltype =='nonMarkov'",  h4("Univariate GEE model for state Transplanted"),
    
    tableOutput('table2.7.1')
  ) ,
  conditionalPanel(    
               condition = "input.pseudoall==1& input.modeltype =='nonMarkov'", h4("Pseudo values for all states"),
    
    tableOutput('table2.all')
  ) ,
   conditionalPanel(    
               condition = "input.pseudoAllshow ==1 & input.modeltype =='nonMarkov'", h4("Univariate GEE model for all states"),
    
    tableOutput('table2.all.1')
  ),
  conditionalPanel(
               condition = "input.condmultinomial ==1 & input.modeltype =='Markov'", h4("Multinomial model conditioning on previous state T"),

    tableOutput('table.multC')
  ),
  conditionalPanel(
               condition = "input.condmultinomial ==1 & input.modeltype =='Markov' & input.JackSE==1", h4("Jackknife SE for multinomial model conditioning on previous state T"),

    tableOutput('table.multCSE')
  ) ,
  conditionalPanel(
               condition = "input.Nocondmultinomial ==1 & input.modeltype =='Markov'", h4("Multinomial model with no condition on previous state T"),

    tableOutput('table.multNC')
  ) ,conditionalPanel(
               condition = "input.Nocondmultinomial ==1 & input.modeltype =='Markov' & input.JackSE==1", h4("Jackknife SE for multinomial model with no condition on previous state T"),

    tableOutput('table.multNCSE')
  )  ,conditionalPanel(
               condition = "input.condmultinomial ==1 & input.modeltype =='nonMarkov'", h4("Multinomial model conditioning on previous state T"),

    tableOutput('table.non.multC')
  ),
  conditionalPanel(
               condition = "input.condmultinomial ==1 & input.modeltype =='nonMarkov' & input.JackSE==1", h4("Jackknife SE for multinomial model conditioning on previous state T"),

    tableOutput('table.non.multCSE')
  ) ,
  conditionalPanel(
               condition = "input.Nocondmultinomial ==1 & input.modeltype =='nonMarkov'", h4("Multinomial model with no condition on previous state T"),

    tableOutput('table.non.multNC')
  ) ,conditionalPanel(
               condition = "input.Nocondmultinomial ==1 & input.modeltype =='nonMarkov' & input.JackSE==1", h4("Jackknife SE for multinomial model with no condition on previous state T"),

    tableOutput('table.non.multNCSE')
  )
  
  
   
  ),
  tabPanel("Code for pseudo-value approch for Markov Model",  downloadButton('downloadCodePsM', 'Download Code'),includeHTML("sim_Markov_group_pseudo_multivariate_3.html")),
  tabPanel("Code for multinomial approch for Markov Model", downloadButton('downloadCodeMultM', 'Download Code'),includeHTML("sim_Markov_group_multinomial_2.html")),
  tabPanel("Code for pseudo-value approch for non-Markov Model",downloadButton('downloadCodePsNM', 'Download Code'), includeHTML("sim_non_Markov_group_pseudo_multivariate_3.html")),
  tabPanel("Code for multinomial approch for non-Markov Model", downloadButton('downloadCodeMultNM', 'Download Code'),includeHTML("sim_nonMarkov_group_multinomial_2.html"))
  )
  )     
      
  
))